export declare enum FoundationAnalyticsEventType {
    controlClicked = "controlClicked",
    routeChanged = "routeChanged"
}
export declare namespace FoundationAnalyticsEvent {
    interface ControlClicked {
        name: string;
    }
    interface RouteChanged {
        path: string;
        referrer?: string;
    }
}
export interface FoundationAnalytics {
    trackEvent(eventName: FoundationAnalyticsEventType.controlClicked, payload: FoundationAnalyticsEvent.ControlClicked): void;
    trackEvent(eventName: FoundationAnalyticsEventType.routeChanged, payload: FoundationAnalyticsEvent.RouteChanged): void;
    trackEvent(eventName: FoundationAnalyticsEventType, payload: {}): void;
}
export declare const FoundationAnalytics: import("@microsoft/fast-foundation").InterfaceSymbol<FoundationAnalytics>;
//# sourceMappingURL=analytics.d.ts.map