import { BehaviorSubject } from 'rxjs';
import type { Metadata, SchemaResponse } from '../metadata';
import { CommitParams, Message, RequestParams } from './message';
import type { SocketObservable } from './socket';
import { ConnectConfig } from './connect.types';
export declare const defaultConnectConfig: ConnectConfig;
export interface Connect {
    isWorking: boolean;
    isConnected: boolean;
    isConnectedSubject?: BehaviorSubject<boolean>;
    send<T>(message: Message<T | any>, needsHandling?: boolean): Promise<Message | any>;
    httpMode(): boolean;
    connect(host: string): Promise<boolean>;
    disconnect(): void;
    setValidSession(valid: boolean): void;
    snapshot(resourceName: string, params?: any): Promise<Message>;
    stream(resourceName: string, onMessage: Function, onError: Function, params?: any): SocketObservable<Message>;
    getMoreRows(sourceRef: string): Promise<Message>;
    dataLogoff(sourceRef: string): Promise<Message>;
    getMetadata(resourceName: string): Promise<Metadata>;
    getJSONSchema(resourceName: string): Promise<SchemaResponse>;
    request(resourceName: string, params?: RequestParams): Promise<Message>;
    commitEvent(eventName: string, params?: CommitParams): Promise<Message>;
}
export declare const WSConnect: import("@microsoft/fast-foundation").InterfaceSymbol<Connect>;
export declare const Connect: import("@microsoft/fast-foundation").InterfaceSymbol<Connect>;
//# sourceMappingURL=connect.d.ts.map