import { Observer, Observable } from 'rxjs';
export declare const MAX_RECONNECT_ATTEMPTS = 10;
export declare enum SocketReconnectStrategy {
    Linear = "linear",
    Exponential = "exponential"
}
export type SocketReconnectOptions = {
    reconnectAttempts?: number;
    reconnectInterval?: number;
    reconnectObserver?: Observer<any>;
    reconnectStreams?: boolean;
    reconnectStrategy?: SocketReconnectStrategy;
};
export type SocketReconnectScheduler = (reconnectOptions: SocketReconnectOptions, attempt: number) => number;
export declare const retryInterval: (reconnectOptions: SocketReconnectOptions, scheduler: SocketReconnectScheduler) => Observable<number>;
export declare const exponentialScheduler: SocketReconnectScheduler;
export declare const linearScheduler: SocketReconnectScheduler;
//# sourceMappingURL=reconnectStrategy.d.ts.map