import type { BasicAuthInfo, RefreshAuthInfo, SsoAuthInfo } from '../auth/auth.types';
import type { BasicCredentialsInput, CredentialData, GetCredentialOptions, RefreshCredentialsInput, SSOCredentialsInput } from './credentialManager.types';
import { CredentialManagerConfig } from './credentialManager.types';
export declare const defaultCredentialRequestOptions: GetCredentialOptions;
export declare const defaultCredentialManagerConfig: CredentialManagerConfig;
export interface CredentialManager {
    createBasicCredentials(inputs: BasicCredentialsInput): BasicAuthInfo;
    createRefreshCredentials(inputs?: RefreshCredentialsInput): RefreshAuthInfo;
    createSSOCredentials(inputs?: SSOCredentialsInput): SsoAuthInfo;
    validateBasicCredentials(credentials: BasicAuthInfo): boolean;
    validateRefreshCredentials(credentials: RefreshAuthInfo): boolean;
    validateSSOCredentials(credentials: SsoAuthInfo): boolean;
    storeCredentialsInContainer(data: CredentialData): Promise<Credential | undefined>;
    getCredentialsFromContainer(options?: GetCredentialOptions): Promise<CredentialData | null>;
    storeCredentialsInCookie(data: CredentialData): boolean;
    getCredentialsFromCookie(): CredentialData | undefined;
    storeCredentials(data: CredentialData): Promise<boolean>;
    getCredentials(options?: GetCredentialOptions): Promise<CredentialData | undefined>;
    getSSOToken(): string | null;
    getUsername(): string | null;
    getRefreshToken(): string | null;
    removeCookie(): void;
    removeSSOToken(): void;
    removeUsername(): void;
    removeRefreshToken(): void;
    removeAll(): void;
    preventSilentAccess(): Promise<void>;
}
export declare const CredentialManager: import("@microsoft/fast-foundation").InterfaceSymbol<CredentialManager>;
//# sourceMappingURL=credentialManager.d.ts.map