/// <reference types="webappsec-credential-management" />
export interface CredentialManagerCookieConfig {
    path: string;
    name: string;
    expires: number | Date;
    storePasswords?: boolean;
}
export interface CredentialManagerConfig {
    cookie: CredentialManagerCookieConfig;
}
export declare const CredentialManagerConfig: import("@microsoft/fast-foundation").InterfaceSymbol<CredentialManagerConfig>;
export type BasicCredentialsInput = {
    username: string;
    password: string;
};
export type RefreshCredentialsInput = {
    username: string;
    refreshToken: string;
};
export type SSOCredentialsInput = {
    ssoToken: string;
};
export type CredentialData = PasswordCredentialData & {
    password?: string;
};
export type GetCredentialOptions = CredentialRequestOptions & {};
//# sourceMappingURL=credentialManager.types.d.ts.map