import { SocketObservable } from '../connect';
import type { FieldMetadata, FilteredDataServerResult, RequestServerResult } from '../metadata/metadata.types';
import type { DatasourceOptions, Dataview } from './datasource.types';
import { ResourceType } from './datasource.types';
export interface Datasource {
    initialized: boolean;
    fieldMetadata: FieldMetadata[];
    readOnly: boolean;
    resourceType: ResourceType;
    stream: SocketObservable<FilteredDataServerResult | RequestServerResult>;
    init(options: DatasourceOptions, fetchMeta: boolean): Promise<boolean>;
    getMetadata?(resourceName: string): Promise<Array<FieldMetadata>>;
    snapshot(params?: any): any;
    snapshotFiltered(rowId?: string): any;
    updateData?(data: Array<any>): Promise<void>;
    dataHandler?(data: Array<any>): Array<any>;
    addView?(view: Dataview): void;
    dropView?(view: Dataview): void;
    setFilter?(name: string, value: any, type?: string): Promise<void>;
    clearFilter?(name: string): Promise<void>;
    createItem?(data: any): Promise<string>;
    deleteItem?(itemId: string): Promise<void>;
    updateItem?(itemId: string, data: any): Promise<void>;
}
export declare const Datasource: import("@microsoft/fast-foundation").InterfaceSymbol<Datasource>;
//# sourceMappingURL=datasource.d.ts.map