import type { Message } from '../connect';
export type StorageType = 'local' | 'session';
type UserInfoKeys = 'authToken' | 'ssoToken' | 'refreshToken' | 'sessionId' | 'returnUrl' | 'hostUrl' | 'gridOptions';
export interface Session {
    returnUrl: string;
    setStorageKeyPrefix(prefix: string): void;
    setAuthResult(info: Message): void;
    deleteUserFromSessionStorage(): void;
    captureReturnUrl(): void;
    setItem(key: string | UserInfoKeys, value: string, storage: StorageType): void;
    getItem(key: string | UserInfoKeys, storage: StorageType): string;
    removeItem(key: string | UserInfoKeys, storage: StorageType): void;
    setLocalStorageItem(key: string | UserInfoKeys, value: string): void;
    setSessionStorageItem(key: string | UserInfoKeys, value: string): void;
    getLocalStorageItem(key: string | UserInfoKeys): string;
    getSessionStorageItem(key: string | UserInfoKeys): string;
    removeLocalStorageItem(key: string | UserInfoKeys): void;
    removeSessionStorageItem(key: string | UserInfoKeys): void;
}
export declare const Session: import("@microsoft/fast-foundation").InterfaceSymbol<Session>;
export {};
//# sourceMappingURL=session.d.ts.map