import type { UserPermission, UserProfile } from './user.types';
interface UserOptions {
    readonly permissions: UserPermission[] | null;
    readonly profiles: UserProfile[] | null;
    readonly username: string | null;
}
export interface User extends UserOptions {
    hasAdminProfile(): boolean;
    hasPermission(permission: UserPermission | UserPermission[]): boolean;
    hasProfile(profile: UserProfile | UserProfile[]): boolean;
}
export declare class CurrentUser implements User {
    permissions: UserPermission[];
    profiles: UserProfile[];
    username: string;
    constructor(options: UserOptions);
    hasAdminProfile(): boolean;
    hasPermission(permission: string | string[]): boolean;
    hasProfile(profile: string | string[]): boolean;
    private hasKey;
}
export {};
//# sourceMappingURL=user.d.ts.map