import Analytics from 'analytics';
import { DI } from '@microsoft/fast-foundation';
import { logger } from '../utils';
export var FoundationAnalyticsEventType;
(function (FoundationAnalyticsEventType) {
    FoundationAnalyticsEventType["controlClicked"] = "controlClicked";
    FoundationAnalyticsEventType["routeChanged"] = "routeChanged";
})(FoundationAnalyticsEventType || (FoundationAnalyticsEventType = {}));
class FoundationAnalyticsService {
    constructor(config) {
        this.analytics = Analytics(config);
    }
    trackEvent(eventName, payload) {
        logger.debug(`FoundationAnalytics.trackEvent ${eventName} : ${JSON.stringify(payload)}`);
        this.analytics.track(eventName, payload);
    }
}
export const FoundationAnalytics = DI.createInterface((x) => x.singleton(FoundationAnalyticsService));
//# sourceMappingURL=analytics.js.map