import { DI } from '@microsoft/fast-foundation';
class JSONSerializer {
    serialize(object) {
        return JSON.stringify(object);
    }
    deserialize(input) {
        if (!input) {
            return Promise.resolve({});
        }
        if (typeof input === 'string') {
            return JSON.parse(input);
        }
        if (input.data) {
            return JSON.parse(input.data);
        }
        return input.text().then((text) => JSON.parse(text));
    }
}
export const Serializer = DI.createInterface((x) => x.singleton(JSONSerializer));
//# sourceMappingURL=serializers.js.map