import { __decorate } from "tslib";
import { observable } from '@microsoft/fast-element';
export class CurrentUser {
    constructor(options) {
        Object.assign(this, options);
    }
    hasAdminProfile() {
        return this.hasProfile('ADMIN');
    }
    hasPermission(permission) {
        return this.hasKey(this.permissions, permission);
    }
    hasProfile(profile) {
        return this.hasKey(this.profiles, profile);
    }
    hasKey(keys, key) {
        if (!keys || !keys.length || !key) {
            return false;
        }
        if (!Array.isArray(key)) {
            key = [key];
        }
        return key.some((k) => keys.includes(k));
    }
}
__decorate([
    observable
], CurrentUser.prototype, "permissions", void 0);
__decorate([
    observable
], CurrentUser.prototype, "profiles", void 0);
__decorate([
    observable
], CurrentUser.prototype, "username", void 0);
//# sourceMappingURL=user.js.map